> For the complete documentation index, see [llms.txt](https://docs.expel.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.expel.io/workbench-setup/auto-remediations/disable-accounts/duo-cloud-disable-accounts.md).

# Duo Cloud: Disable Accounts

This guide helps you set up your Duo Cloud device and grant necessary permissions so that you can enable the Disable Accounts auto remediation in Workbench.

*This guide is the first step of a larger process to enable auto remediations. After completing the steps on this page, you will be instructed to return to the* [*Enable an Auto Remediation in Workbench*](/workbench-setup/auto-remediations/enable-an-auto-remediation-in-workbench.md) *guide to finish your setup.*

## How It Works <a href="#h_01jh8ncdq41ghs4zvz4pj1n7wp" id="h_01jh8ncdq41ghs4zvz4pj1n7wp"></a>

If our SOC identifies an account (username or email address) that is compromised and must be disabled, Workbench completes the action automatically and logs the user out of their session. You have the option to restrict these actions to specific accounts by configuring an allow or deny list (the accounts must first be added as context, and then the list can be configured in Workbench; see [Step 2](#h_01jh5zhtqthkyym38xnhr25vgj)).

{% hint style="warning" %}
Disabling denies future authentication/MFA; it does not revoke active sessions or existing tokens.&#x20;
{% endhint %}

### Endpoints Used <a href="#h_01kcq58zyx8ybb32hecxz7qhhp" id="h_01kcq58zyx8ybb32hecxz7qhhp"></a>

**Duo Admin API**

`/admin/v1`

<table><thead><tr><th width="123.40625">Method</th><th>Endpoint</th><th>Purpose</th></tr></thead><tbody><tr><td>GET</td><td><code>/admin/v1/users?username={username}</code></td><td>Look up the Duo user to get user ID and current status</td></tr><tr><td>POST</td><td><code>/admin/v1/users/{user_id}</code></td><td>Modify user to set the status as <code>disabled</code></td></tr></tbody></table>

Revert sets `status=active`. Endpoint paths are the Duo Admin API paths hit by the `duo_client` SDK (not defined in Expel's own code).

{% hint style="warning" %}
A user's group-level status can override individual user status, so the disable may not take effect for grouped users.
{% endhint %}

## Step 1: Grant Necessary Permissions <a href="#h_01jh8vqe0e3ypz6epvgnsm4zer" id="h_01jh8vqe0e3ypz6epvgnsm4zer"></a>

There are two options for completing this step.

### Option 1 (Refresh the Secret Key) <a href="#h_01jh8vthwrzrnb7tw3hwf7y7re" id="h_01jh8vthwrzrnb7tw3hwf7y7re"></a>

1. Add `Grant write resource` permission to the Duo Admin API created for Expel (Expel API).
2. Refresh the Secret Key and update this information in Expel Workbench.

### Option 2 (Generate New API Credentials) <a href="#h_01jh8vtkxyxmwfn13f5ee7h4ak" id="h_01jh8vtkxyxmwfn13f5ee7h4ak"></a>

Instead of refreshing the secret key, you can generate new API credentials and replace the information in Workbench:

1. Follow the instructions in [Cisco Duo Setup for Workbench](/connect-your-technology/a-c-integrations/cisco/cisco-duo-setup-for-workbench.md).
2. Add `Grant write resource` permission to the list of required permissions.

## Step 2: Update Your Context <a href="#h_01jh5zhtqthkyym38xnhr25vgj" id="h_01jh5zhtqthkyym38xnhr25vgj"></a>

**If you do not want to specify any accounts for a "do not disable" or "always disable" list, and instead wish for Expel to automatically disable&#x20;*****all*****&#x20;identified accounts, skip to** [**Step 3**](#h_01jgycgywj4m9tc7j443dvsmf1)**.**

Working with your Customer Success Manager, prepare to create an allow or deny list by adding accounts as [org context](/workbench-reference/expel-terminology.md#org-context) for your environment. You will then be able to select those accounts as "Never disable" or "Always disable" assets when you enable the auto remediation in Workbench.

{% hint style="info" %}
If our SOC identifies an account that must be disabled and you have created either an allow ("Always disable") or deny ("Never disable") list in Workbench, any accounts falling outside of those parameters are assigned to you as actions rather than being disabled automatically.
{% endhint %}

## Step 3: Return to the Main Setup Guide <a href="#h_01jgycgywj4m9tc7j443dvsmf1" id="h_01jgycgywj4m9tc7j443dvsmf1"></a>

Your Duo Cloud device is now ready for the Disable Accounts auto remediation. You should now do one of the following:

* **If you do not need to set up any other devices for this auto remediation**, you can return to the [Enable an Auto Remediation in Workbench](/workbench-setup/auto-remediations/enable-an-auto-remediation-in-workbench.md) guide to finish Step 2 of the process.
* **If you need to set up additional devices for this auto remediation, or wish to use this device with multiple auto remediations**, be sure to [complete those setup guides as well](/workbench-setup/auto-remediations.md) before returning to the [Enable an Auto Remediation in Workbench](/workbench-setup/auto-remediations/enable-an-auto-remediation-in-workbench.md) guide to finish Step 2 of the process. *Make sure to follow the setup guide that is specific to your auto remediation, as device setup instructions are unique to each auto remediation and device.*


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.expel.io/workbench-setup/auto-remediations/disable-accounts/duo-cloud-disable-accounts.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
